﻿Type=Class
Version=4.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private mLbl As Label
	Private event As String
	Private ob As Object
End Sub

Public Sub Initialize (Target As Object, EventName As String)
	event = EventName
	ob = Target
End Sub

Public Sub DesignerCreateView(Base As Panel, lbl As Label, props As Map)

	Dim btn As Button
	btn.Initialize("btn")
	Base.AddView(btn,0,0,Base.Width,Base.Height)
	btn.Text = lbl.Text
	btn.Gravity = Gravity.CENTER
	btn.Typeface = Typeface.LoadFromAssets("tahoma.ttf")
	btn.TextColor = Colors.White
	btn.TextSize = 14
	
	Dim c1 As StateListDrawable
	Dim actColor,hoverColor As ColorDrawable
	
	actColor.Initialize(Library.ThemeColor,0)
	hoverColor.Initialize(Library.HoverThemeColor,0)
	
	c1.Initialize
	c1.AddState(c1.State_Pressed,hoverColor)
	c1.AddCatchAllState(actColor)
	
	btn.Background = c1
	
End Sub

Sub btn_Click
	CallSubDelayed(ob,event & "_Click")
End Sub