﻿Type=Class
Version=4.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Class module
Private Sub Class_Globals
	Private lblcomment As Label
	Private currentPanel As Panel
	Private txtinput As EditText
	Private ev As String
	Private mo As Object
	Private imgicon As ImageView
End Sub

Public Sub Initialize(Module As Object,Parent As Panel,Message  As String,EventOk As String)
	
	Dim p As Panel
	p.Initialize("")
	ev = EventOk
	mo = Module
	
	Parent.AddView(p,0,0,100%x,100%y)
	
	p.LoadLayout("frminput_template")
	p.Enabled = False
	
	txtinput.SetBackgroundImage(LoadBitmap(File.DirAssets,"edittext.png"))
	
	p.Color = Colors.ARGB(121,0,0,0)
	imgicon.Bitmap = LoadBitmapSample(File.DirAssets,"635460616383263954_00-logopng.png",50,50)
	
	LabelSpace(lblcomment,1.3)
	lblcomment.Text = Message.Replace("\n",CRLF)
	
	currentPanel = p

	txtinput.RequestFocus
	
	currentPanel.Visible = False
	
End Sub

Sub Show
	currentPanel.SetVisibleAnimated(400,True)
End Sub

Sub Hide
	currentPanel.SetVisibleAnimated(400,False)
End Sub

Sub ChangeMessageDialog(Message As String)
	lblcomment.Text = Message
End Sub

Private Sub btnclose_Click
	Hide
End Sub

Private Sub btnok_Click
	Dim rs As String
	rs = txtinput.Text
	currentPanel.RemoveView
	CallSub2(mo,ev,rs)
End Sub

Private Sub LabelSpace(view1 As View,Space As Float)
	Dim Obj1 As Reflector
	Obj1.Target = view1
	Obj1.RunMethod3("setLineSpacing", Space, "java.lang.float", Space, "java.lang.float")
End Sub